Metacat - Bug #1311

Registry: Links should open in a new window and windows should move to front

02/02/2004 03:56 PM - Saurabh Garg

Status: Closed Start date: 02/02/2004
Priority: Normal Due date:

Assignee: Saurabh Garg % Done: 0%
Category: registry Estimated time: 0.00 hour
Target version: 2.2.0 Spent time: 0.00 hour
Bugzilla-ld: 1311

Description

All links should open in new window to avoid loss of any data.

History

#1 - 02/05/2004 06:02 PM - Saurabh Garg

Andrea's comments:

1)After clicking on the “NASA Global Change Master Directory (GCMD))”
hyperlink, the page comes up in the same window, so when you close the window
you actually close the data repository form you were working on, and the work
you did is lost. The link should open up in a new window to avoid this blunder.

2) If the Data Repository Guide/Info Page is already open in a window because
you clicked on a heading to read about it, and then you go back to the metadata
entry form and click on another heading, the window with the Guide remains
hidden behind the repository form window, instead of it coming to the front.

#2 - 02/05/2004 07:32 PM - Saurabh Garg

1) is taken care of now - NASA link opens in a new page.

#3 - 03/31/2004 01:31 PM - Saurabh Garg

2) can be fixed by adding window.focus() to the event. | am not closing this
bug yet as | will get to it after Morpho.

#4 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1311

#5 - 09/10/2013 03:46 PM - ben leinfelder
- Status changed from New to Closed

- Target version changed from 2.x.y to 2.2.0

This is no longer and issue with the guide because we are using it inside the metacatui pulled into a modal "help" overlay
